SHARP-USER-SETUP(1)

NAME
sharp-user-setup - script to setup the SharpBang desktop

SYNOPSIS
sharp-user-setup [OPTION]...

DESCRIPTION

sharp-user-setup() is a script to populate a new user's home directory using template files from /usr/share/sharpbang/skel/.

Normally this script is run automatically on a user's first login and inhibited thereafter by a flag file at ~/.config/sharpbang/sharp-setup.

It can, however, be run again by a user to update their config files from a new version of sharp-configs. In this case backups will be made of any files which are overwritten.

If the user has already made extensive changes to their config files it would be better to copy in new settings from /usr/share/sharpbang/skel/ by hand.

OPTIONS

-f, --firstrun
    Copy files from /usr/share/sharpbang/skel/ to $HOME, action will be aborted if ~/.config/sharpbang/sharp-setup exists.

-h, --help
    Display usage information.

-r, --refresh
    Copy any files in /usr/share/sharpbang/skel/ which are different from those in $HOME. Overwritten files will be backed up.

-v, --verbose
    Display verbose messages about the copy operation.

-V, --version
    Output version information and exit.

EXIT STATUS

0   Successful program execution.

64  Unrecognised option supplied.

70  Copy operation failed.

73  Action inhibited by ~/.config/sharpbang/sharp-setup.

77  Program run by root, unprivileged user expected.

78  User's home directory is not set or does not exist.

ENVIRONMENT

The behaviour of sharp-user-setup() is affected by the following environment variables:

backup_suffix
    Suffix applied to any pre-existing files in the user's home directory that are overwritten by sharp-user-setup(). If empty it is set to ~$( date +%F@%T ).

sharp_skel
    Directory from which the various configuration files are copied, requires trailing slash. If empty it is set to /usr/share/sharpbang/skel/.

BUGS
Probably. If any problems are found please open an issue at https://github.com/head-on-a-stick/sharp-configs.